POST
/
v1
/
auth
/
passkey
/
challenge
Step-up passkey challenge
curl --request POST \
  --url https://api.next.orenda.finance/v1/auth/passkey/challenge \
  --header 'Authorization: Bearer <token>' \
  --header 'x-program-id: <x-program-id>'
import requests

url = "https://api.next.orenda.finance/v1/auth/passkey/challenge"

headers = {
"x-program-id": "<x-program-id>",
"Authorization": "Bearer <token>"
}

response = requests.post(url, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-program-id': '<x-program-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.next.orenda.finance/v1/auth/passkey/challenge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "passkeySession": "8b2c4d6e-1f3a-4b5c-9d7e-0a1b2c3d4e5f",
  "fido2options": {
    "challenge": "c3RlcHVwLWNoYWxsZW5nZS1yYW5kb20",
    "timeout": 60000,
    "rpId": "next.orenda.finance",
    "userVerification": "required",
    "allowCredentials": [
      {
        "type": "public-key",
        "id": "AaIWjR2k8Qm3sV7tZ1pYxC"
      }
    ]
  }
}
{
"success": false,
"code": "INVALID_CREDENTIALS",
"message": "<string>",
"retryable": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-program-id
string
required

Identifies the program. Can also be sent as the programId query parameter.

Response

Step-up challenge

passkeySession
string
fido2options
object